unit uabout;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls;

type
  Tfabout = class(TForm)
    Panel1: TPanel;
    ProgramIcon: TImage;
    ProductName: TLabel;
    Version: TLabel;
    Copyright: TLabel;
    Label1: TLabel;
    OKButton: TButton;
    Label2: TLabel;
    procedure OKButtonClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Label2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fabout: Tfabout;

implementation

uses shellapi;
{$R *.dfm}

procedure Tfabout.OKButtonClick(Sender: TObject);
begin
close;
end;

procedure Tfabout.FormCreate(Sender: TObject);
var
  Region1,Region2 : hRgn;
begin
// Cria círculo externo
  Region1 := CreateEllipticRgn(0,0,300,300);
// Cria círculo interno
  Region2 := CreateEllipticRgn(100,100,200,200);
// Combina duas regiões para fazer a rosca
  CombineRgn(Region1,Region1,Region2,RGN_DIFF);
// Da formato a janela  
  SetWindowRgn(Handle,Region1,True);
end;

procedure Tfabout.Label2Click(Sender: TObject);
begin
           ShellExecute(Handle,'open',pchar ('mailto: delasol@ig.com.br ?subject='+
              'Digite aqui o assunto'), nil,'',Sw_ShowNormal)
end;

end.
 
